<!-- <ion-header>
  <ion-toolbar>
    <ion-title>SiriusID</ion-title>
  </ion-toolbar>
</ion-header> -->

<!-- <ion-header>
  <h1 class="title">Sirius ID</h1>
</ion-header> -->

<app-superheader [title]="'Sirius ID'" [back]="false"></app-superheader>

<ion-content>
  <!-- <div id="image">
    <img src='assets/wallet.png'/>
  </div> -->

  <div class="circle-container">
    <p class="number-progress">
      {{ (progress * 100 > 100) ? '100' : (progress * 100).toFixed() }}
    </p>

    <div *ngIf="btnNext" class="circle">
    </div>

    <div *ngIf="!btnNext" class="lds-ring">
      <div></div>
      <div></div>
      <div></div>
      <div></div>
    </div>
  </div>

  <div class="inferior-panel">
    <div *ngIf="!btnNext" class="p-10">
      <div class="txt-center">
        <p>Generate randomness.</p>
      </div>
      <ion-progress-bar color="primary" [value]="progress"></ion-progress-bar>
    </div>

    <div *ngIf="btnNext" class="btn-cont">
      <button class="btn" (click)="storedAccount()" shape="round" mode="md">Next</button>
    </div>
  </div>
</ion-content>